<!--
  Generated template for the ChatgroupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backTo()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>{{ selectedGroupName }}</ion-title>
    <img-loader *ngIf="loaded" src="{{ selectedGroupPhotoURL }}" class="chat-person-avatar" imageViewer="{{ selectedGroupPhotoURL }}" useImg></img-loader>
  </ion-navbar>

</ion-header>


<ion-content padding>
	<div id="chatMessages">
		<div *ngFor="let message of chatMessagesList$ | async; let i=index; let last = last;" class="message">
			<div *ngFor="let allUser of userList$ | async;">
				<div *ngIf="message.sender == allUser.key">
					<div [hidden]="message.message == ''">
						<div [class]="message.sender == ownUserID ? 'innerMessage messageRight' : 'innerMessage messageLeft'">
							<div class="username" *ngIf="message.sender != ownUserID">{{ allUser.displayName }}</div>
							<div *ngIf="message.type == 'messages'">
								<div class="messageContent" (load)="scrollAfterFewSecond()">{{ message.message }}</div>
							</div>
							<div *ngIf="message.type == 'images'">
								<div class="messageContent" (load)="scrollAfterFewSecond()">
									<img-loader src="{{ message.message }}" imageViewer="{{ message.message }}" useImg></img-loader>
								</div>
							</div>
							{{ scroll(last, i) }}
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</ion-content>

<ion-footer>
	<ion-toolbar>
		<div id="footer">
			<div class="elem"><button ion-button icon-only color="dark" (click)="openOptions(ChatGroupMsg)"><ion-icon name="add"></ion-icon></button></div>
			<div class="elem"><ion-input type="text" [(ngModel)]="message" class="chat-input-box"></ion-input></div>
			<div class="elem"><button ion-button icon-only color="dark" (click)="sendMessage(ChatGroupMsg)"><ion-icon name="send"></ion-icon></button></div>
		</div>
	</ion-toolbar>
</ion-footer>
